Skip to content

Get a list of all locations by ids

Request

This is an endpoint that allows you to retrieve a list of Locations in bulk. The locations are identified by their business id, provided in the query.

When one or more locations could not be found, this will be indicated in the errors-section of the response.

Security
clientCredentials
Query
idsArray of strings, [ 1 .. 100 ] itemsrequired

A comma-separated list of Location business IDs.

curl -i -X GET \
  'https://developer.conundra.eu/_mock/apis/order-book/order-book-api/locations?ids=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

a list of locations

Bodyapplication/json
dataArray of objects, [ 0 .. 100 ] items, unique(Location)
errorsArray of objects(Problem)
Response
{ "data": [ {} ], "errors": [ {} ] }